snd_card_file_remove
Prev | Chapter 24. Sound Devices | Next

## Name

snd_card_file_remove — remove the file from the file list

## Synopsis

`int snd_card_file_remove (` | struct snd_card * | card,
| struct file * | file`)`;

## Arguments

`card`

  soundcard structure

`file`

  file pointer

## Description

This function removes the file formerly added to the card via `snd_card_file_add` function. If all files are removed and `snd_card_free_when_closed` was called beforehand, it processes the pending release of resources.

Returns zero or a negative error code.

Prev | Up | Next
snd_card_file_add | Home | snd_power_wait